package com.ruoyi.index.domain;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基础指标对象 index_s
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
public class IndexS extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** sql */
    @Excel(name = "sql")
    private String squery;

    /** 合计列 */
    @Excel(name = "合计列")
    private String sumcol;
    
    @Excel(name = "单位")
    private String unit;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 排序 */
    private String sort;

    /** 举例 */
    private String sample;
    
    private String sum;
    
    private Set<String> keySet;
    
    private Map<String,Boolean> isNum;
    
    private List<LinkedHashMap<String,Object>> detail;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSquery(String squery) 
    {
        this.squery = squery;
    }

    public String getSquery() 
    {
        return squery;
    }
    public void setSumcol(String sumcol) 
    {
        this.sumcol = sumcol;
    }

    public String getSumcol() 
    {
        return sumcol;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }


    public String getSample() {
		return sample;
	}

	public void setSample(String sample) {
		this.sample = sample;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	@Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("squery", getSquery())
            .append("sumcol", getSumcol())
            .append("delFlag", getDelFlag())
            .append("sort", getSort())
            .append("detail", getDetail())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

	public String getSum() {
		return sum;
	}

	public void setSum(String sum) {
		this.sum = sum;
	}

	public List<LinkedHashMap<String, Object>> getDetail() {
		return detail;
	}

	public void setDetail(List<LinkedHashMap<String, Object>> detail) {
		this.detail = detail;
	}

	public Set<String> getKeySet() {
		return keySet;
	}

	public void setKeySet(Set<String> keySet) {
		this.keySet = keySet;
	}

	public Map<String, Boolean> getIsNum() {
		return isNum;
	}

	public void setIsNum(Map<String, Boolean> isNum) {
		this.isNum = isNum;
	}
    
    
}
